%define name		oldgef
%define orig_name	gef
%define Name		GEF
%define version		0.9.6
%define release		1jpp
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        A diagram editing framework
License:        Apache License
Source0:        http://gef.tigris.org/files/documents/9/9018/GEF-0.9.6-src.zip
Url:            http://gef.tigris.org/
Requires:	log4j
BuildRequires:  ant
BuildRequires:	log4j
Group:          Development/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage Project
Distribution:	JPackage

%description
The goal of the GEF project is to build a graph editing library that
can be used to construct many, high-quality graph editing appications.
Some of GEF's features are:
- A simple, concrete design that makes the framework easy to understand
and extend.
- Node-Port-Edge graph model that is powerful enough for the vast
majority of connectied graph applications.
- Model-View-Controller design based on the Swing Java UI library makes
GEF able to act as a UI to existing data structures, and also minimizing
learning time for developers familiar with Swing.
- High-quality user interactions for moving, resizeing, reshaping, etc.
GEF also supports several novel interactions such as the broom alignment
tool and section-action-buttons.
- Generic properties sheet based on JavaBeans introspection.
- XML-based file formats based on the PGML standard (soon to support
SVG).

#%package	javadoc
#Summary:	Javadoc for %{name}
#Group:		Development/Documentation
#
#%description	javadoc
#Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c
# remove binary files
find . -name "*.jar" -exec rm -f {} \;
# clean manifest file
perl -pi -e 's/^.*\.jar.*$//s' org/tigris/gef/manifest.mf

%build
export CLASSPATH=$(build-classpath log4j)

# fix broken build
BUILD_DIR=`pwd`
ant \
	-Dbuild.dir=$BUILD_DIR \
	-Dsrc.dir=$BUILD_DIR \
	-Ddocs.dir=$BUILD_DIR/docs \
    	-Dlib.dir=$BUILD_DIR/lib \
    	-Dobj.dir=$BUILD_DIR/lib \
	-Ddist.dir=$BUILD_DIR/dist \
	package

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{orig_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
#install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
#cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
#(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

#%post javadoc
#rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version} %{_javadocdir}/%{name}
#
#%postun javadoc
#if [ $1 -eq 0 ]; then
#  rm -f %{_javadocdir}/%{name}
#fi

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT INSTALL.txt README.txt
%{_javadir}/*

#%files javadoc
#%defattr(0644,root,root,0755)
#%dir %{_javadocdir}/%{name}-%{version}
#%{_javadocdir}/%{name}-%{version}/*
#%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sat Jan 24 2004 David Walluck <david@anti-microsoft.org> 0:0.9.6-1jpp
- release
